classification
Title: Use long dash
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, ezio.melotti, georg.brandl, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-07-22 13:23 by serhiy.storchaka, last changed 2013-12-24 17:37 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
doc_mdashes_without_spaces.patch serhiy.storchaka, 2013-07-22 13:23 review
doc_mdashes_with_spaces.patch serhiy.storchaka, 2013-07-22 13:29 review
Messages (5)
msg193532 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-07-22 13:23
Currently Python documentation uses four type of dashes for same meaning:

1. Hyphen with spaces.
2. En-dash with spaces.
3. Em-dash with spaces.
4. Em-dash without spaces.

Definitely the first case is just wrong and other three cases should be unified. Here is a patch which replaces spaced hyphens, en-dashes and em-dashes to em-dashes without spaces.

See also a discussion at Python-Dev:

http://mail.python.org/pipermail/python-dev/2013-July/thread.html#127420
http://comments.gmane.org/gmane.comp.python.devel/140593
msg193533 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-07-22 13:29
Here is an alternative patch which replaces spaced hyphens and en-dashes and non-spaced em-dashes to em-dashes with spaces.
msg193755 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-07-26 21:47
This looks like the kind of high-churn, low-benefit patches that we typically encourage new contributors not to do.  It’s fine to update dashes when modifying the surrounding text for another fix, and it may be useful to encourage using them in the markup docs, but not to do one big change.
msg199058 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-06 09:20
Agreed.
msg206908 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-12-24 17:37
New changeset 01d2c25a6804 by R David Murray in branch 'default':
Use endash in PEP callouts.
http://hg.python.org/cpython/rev/01d2c25a6804
History
Date User Action Args
2013-12-24 17:37:50python-devsetnosy: + python-dev
messages: + msg206908
2013-10-06 09:20:14georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg199058

resolution: wont fix
2013-07-26 21:47:38eric.araujosetnosy: + eric.araujo, r.david.murray
messages: + msg193755
2013-07-25 04:28:48ezio.melottisetnosy: + ezio.melotti
2013-07-22 13:29:14serhiy.storchakasetfiles: + doc_mdashes_with_spaces.patch

type: enhancement
assignee: docs@python
components: + Documentation
versions: + Python 3.4
nosy: + docs@python

messages: + msg193533
stage: patch review
2013-07-22 13:23:53serhiy.storchakacreate